gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.MenuShellAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype MenuShellAccessible = MenuShellAccessible (ManagedPtr MenuShellAccessible)
- class (GObject o, IsDescendantOf MenuShellAccessible o) => IsMenuShellAccessible o
- toMenuShellAccessible :: (MonadIO m, IsMenuShellAccessible o) => o -> m MenuShellAccessible

# Exported types

newtype MenuShellAccessible Source #

Memory-managed wrapper type.

Constructors

MenuShellAccessible (ManagedPtr MenuShellAccessible) |

#### Instances

Instances details

Eq MenuShellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuShellAccessible Methods (==) :: MenuShellAccessible -> MenuShellAccessible -> Bool Source # (/=) :: MenuShellAccessible -> MenuShellAccessible -> Bool Source #
GObject MenuShellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuShellAccessible
ManagedPtrNewtype MenuShellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuShellAccessible Methods toManagedPtr :: MenuShellAccessible -> ManagedPtr MenuShellAccessible Source #
TypedObject MenuShellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuShellAccessible Methods glibType :: IO GType Source #
HasParentTypes MenuShellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuShellAccessible
IsGValue (Maybe MenuShellAccessible) Source # | Convert `MenuShellAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.MenuShellAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe MenuShellAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe MenuShellAccessible) Source #
type ParentTypes MenuShellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuShellAccessible type ParentTypes MenuShellAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component, Selection]

class (GObject o, IsDescendantOf MenuShellAccessible o) => IsMenuShellAccessible o Source #

Type class for types which can be safely cast to `MenuShellAccessible`, for instance with `toMenuShellAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf MenuShellAccessible o) => IsMenuShellAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.MenuShellAccessible

toMenuShellAccessible :: (MonadIO m, IsMenuShellAccessible o) => o -> m MenuShellAccessible Source #

Cast to `MenuShellAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, clearSelection, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isChildSelected, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSelection, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollTo, scrollToPoint, selectAllSelection, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSelectionCount, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.